Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project.validator
Class SelectQueryValidator

    java.lang.Object
      org.apache.cayenne.project.validator.TreeNodeValidator
          org.apache.cayenne.project.validator.SelectQueryValidator

    public class SelectQueryValidator

extends TreeNodeValidator

Validator for SelectQueries.

Since:
  1.1
Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.project.validator.TreeNodeValidator
`dbAttrValidator, dbEntityValidator, dbRelValidator, domainValidator, mapValidator, nodeValidator, objAttrValidator, objEntityValidator, objRelValidator, procedureParameterValidator, procedureQueryValidator, procedureValidator, selectQueryValidator, sqlTemplateValidator`

Constructor Summary
`SelectQueryValidator()`

Method Summary
`protected void` | `validateName(Query query, ProjectPath path, Validator validator)`
`void` | `validateObject(ProjectPath treeNodePath, Validator validator)` Validates an object, appending any warnings or errors to the validator.
`protected void` | `validateOrdering(Entity entity, Ordering ordering, ProjectPath path, Validator validator)`
`protected void` | `validatePrefetch(Entity entity, java.lang.String prefetch, ProjectPath path, Validator validator)`
`protected void` | `validateQualifier(Entity entity, Expression qualifier, ProjectPath path, Validator validator)`
`protected Entity` | `validateRoot(SelectQuery query, ProjectPath path, Validator validator)`

Methods inherited from class org.apache.cayenne.project.validator.TreeNodeValidator
`validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectQueryValidator

    public SelectQueryValidator()

Method Detail

### validateObject

    public void validateObject(ProjectPath treeNodePath,
                               Validator validator)

  Description copied from class: `TreeNodeValidator`
  Validates an object, appending any warnings or errors to the validator. Object to be validated is the last object in a `treeNodePath` array argument. Concrete implementations would expect an object of a specific type. Otherwise, ClassCastException will be thrown.

  Specified by:
    `validateObject` in class `TreeNodeValidator`

### validateRoot

    protected Entity validateRoot(SelectQuery query,
                                  ProjectPath path,
                                  Validator validator)

### validateName

    protected void validateName(Query query,
                                ProjectPath path,
                                Validator validator)

### validateQualifier

    protected void validateQualifier(Entity entity,
                                     Expression qualifier,
                                     ProjectPath path,
                                     Validator validator)

### validateOrdering

    protected void validateOrdering(Entity entity,
                                    Ordering ordering,
                                    ProjectPath path,
                                    Validator validator)

### validatePrefetch

    protected void validatePrefetch(Entity entity,
                                    java.lang.String prefetch,
                                    ProjectPath path,
                                    Validator validator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.